<?php

namespace App\Http\Livewire\Agences;

use LivewireUI\Modal\ModalComponent;
use Illuminate\Support\Facades\DB;

class AgenceDetailsMod extends ModalComponent
{
    public $agenceId;

    public function agenceInfo()
    {
        $agenceInfo =  DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_ID', '=', $this->agenceId)
            ->get();

        foreach ($agenceInfo as $i) {
            $categories[$i->AGENCE_NOM][] = $i;
            $agenceInfo = $categories;
        }

        return $agenceInfo;
    }

    public function agenceMembers()
    {
        return DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_ID', '=', $this->agenceId)
            ->orderBy('rh_employees.EMPLOYEE_NOM')
            ->get();
    }

    public function countAgenceMembers()
    {
        return  DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_ID', '=', $this->agenceId)
            ->where('rh_employees.EMPLOYEE_COMPTEACTIF', '=', '1')
            ->count();
    }

    public static function modalMaxWidth(): string
    {
        return '7xl';
    }

    public function render()
    {
        return view('livewire.agences.agence-details-mod', [
            'agenceInfo' => $this->agenceInfo(),
            'agenceMembers' => $this->agenceMembers(),
            'countAgenceMembers' => $this->countAgenceMembers(),
        ]);
    }
}
