<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Http\Request;
// use Microsoft\Graph\Graph;
// use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;
use Illuminate\Pagination\Paginator;

class UsersTableMod extends Component
{
    public $filter;
    public $recherche='';
    public $entriesNumber='';
    public $order_champs ="EMPLOYEE_NOM";
    protected $order='asc';

    public function getInfoIccAllHr() {

        if($this->entriesNumber == '') { $this->entriesNumber = 11; }
        if($this->filter == 'tout') { $fa = null; $ea = '!='; $fe = null; $ee = '!='; }
        elseif($this->filter == 'actifs-tout') { $fa = null; $ea = '!='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actifs-employes') { $fa = 'ICC Développement'; $ea = '='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actifs-franchises') { $fa = 'ICC Développement'; $ea = '!='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'archives-tout') { $fa = null; $ea = '!='; $fe = 1; $ee = '!='; }
        elseif($this->filter == 'archives-employes') { $fa = 'ICC Développement'; $ea = '='; $fe = 1; $ee = '!='; }
        elseif($this->filter == 'archives-franchises') { $fa = 'ICC Développement'; $ea = '!='; $fe = 1; $ee = '!='; }

        $allUsers = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            // ->join('rh_orias', 'rh_employees.EMPLOYEE_ID', '=', 'rh_orias.ORIAS_FKEMPLOYEEID')
            // ->join('rh_ieam', 'rh_employees.EMPLOYEE_ID', '=', 'rh_ieam.IEAM_FKEMPLOYEEID')
            // ->join('rh_afib', 'rh_employees.EMPLOYEE_ID', '=', 'rh_afib.AFIB_FKEMPLOYEEID')
            // ->where('rh_agences.AGENCE_NOM', $ea, $fa)
            // ->where('rh_employees.EMPLOYEE_COMPTEACTIF', $ee, $fe)
            ->where(function($query){
                $query->orWhere('EMPLOYEE_EMAILPRO','like','%'.trim($this->recherche," ")."%")
                ->orWhere('EMPLOYEE_TYPECONTRAT','like','%'.$this->recherche."%")
                ->orWhere('EMPLOYEE_STATUT','like','%'.$this->recherche."%")
                ->orWhere('EMPLOYEE_FONCTION','like','%'.$this->recherche."%")
                ->orWhere('EMPLOYEE_COMPTEACTIF','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_NOM','like','%'.$this->recherche."%");
            })
            ->orderBy($this->order_champs,$this->order)
            ->get();
            // ->paginate($this->entriesNumber);
       
        return $allUsers;

    }

    public function ordonner($ordre,$params1){

        if ($params1 === $this->order) {
            $this->order = "desc";
        }else{
            $this->order = "asc";
        }

        switch ($ordre) {

            case "Actif":
                $this->order_champs="EMPLOYEE_COMPTEACTIF";
                break;

            case "Email":
                $this->order_champs="EMPLOYEE_EMAILPRO";
                break;

            case "Type":
                $this->order_champs="EMPLOYEE_TYPECONTRAT";
                break;

            case "Statut":
                $this->order_champs="EMPLOYEE_STATUT";
                break;

            case "Fonction":
                $this->order_champs="EMPLOYEE_FONCTION";
                break;

            case "Agence":
                $this->order_champs="AGENCE_NOM";
                break;
                
            case "Alerte":
                $this->order_champs="AGENCE_NOM";
                break; 

            default:
                $this->order_champs="EMPLOYEE_NOM";
                break;
        }
    }

    public function allActivesMembers() {

        $allActivesMembers = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->get();
       
        return $allActivesMembers;

    }

    public function allInactivesMembers() {

        $allInactivesMembers = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '0')
            ->get();
       
        return $allInactivesMembers;

    }

    public function allActivesAffiliates() {

        $allActivesAffiliates = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Filiale')
            ->where('rh_agences.AGENCE_NOM', '!=', 'ICC Développement')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->get();
       
        return $allActivesAffiliates;

    }

    public function allActivesFranchisees() {

        $allActivesFranchisees = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Franchise')
            ->where('rh_agences.AGENCE_NOM', '!=', 'ICC Développement')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->get();
       
        return $allActivesFranchisees;

    }

    public function allActivesIccDev() {

        $allActivesIccDev = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_NOM', '=', 'ICC Développement')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->get();
       
        return $allActivesIccDev;

    }

    public function countActivesMembers() {

        $countActivesMembers = DB::table('rh_employees')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->count();
       
        return $countActivesMembers;

    }

    public function countInactivesMembers() {

        $countInactivesMembers = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '0')
            ->count();
       
        return $countInactivesMembers;

    }

    public function countActivesAffiliates() {

        $countActivesAffiliates = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Filiale')
            ->where('rh_agences.AGENCE_NOM', '!=', 'ICC Développement')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->count();
       
        return $countActivesAffiliates;

    }

    public function countActivesFranchisees() {

        $countActivesFranchisees = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Franchise')
            ->where('rh_agences.AGENCE_NOM', '!=', 'ICC Développement')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->count();
       
        return $countActivesFranchisees;

    }

    public function countActivesIccDev() {

        $countActivesIccDev = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('rh_agences.AGENCE_NOM', '=', 'ICC Développement')
            ->where('EMPLOYEE_COMPTEACTIF', '=', '1')
            ->count();
       
        return $countActivesIccDev;

    }

    // public function boot()
    // {
    //     Paginator::useTailwind();
    // }

    public $userId;

    public function userInfo() {

        $userInfo = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->join('rh_orias', 'rh_employees.EMPLOYEE_ID', '=', 'rh_orias.ORIAS_FKEMPLOYEEID')
            ->join('rh_ieam', 'rh_employees.EMPLOYEE_ID', '=', 'rh_ieam.IEAM_FKEMPLOYEEID')
            ->join('rh_afib', 'rh_employees.EMPLOYEE_ID', '=', 'rh_afib.AFIB_FKEMPLOYEEID')
            // ->where('EMPLOYEE_ID', '=', $this->userId)
            ->get();

        return $userInfo;

    }

    public function render()
    {
        return view('pages.membres-list',[
            'allUsers' => $this->getInfoIccAllHr(),
            'userInfo' => $this->userInfo(),
            'allActivesMembers' => $this->allActivesMembers(),
            'allInactivesMembers' => $this->allInactivesMembers(),
            'allActivesAffiliates' => $this->allActivesAffiliates(),
            'allActivesFranchisees' => $this->allActivesFranchisees(),
            'allActivesIccDev' => $this->allActivesIccDev(),
            'countActivesMembers' => $this->countActivesMembers(),
            'countInactivesMembers' => $this->countInactivesMembers(),
            'countActivesAffiliates' => $this->countActivesAffiliates(),
            'countActivesFranchisees' => $this->countActivesFranchisees(),
            'countActivesIccDev' => $this->countActivesIccDev(),
        ]);
    }
}
